<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div id="%1$s" class="block widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));

function gravatar($rating = false, $size = false, $default = false, $border = false) {
	global $comment;
	$out = "http://www.gravatar.com/avatar.php?gravatar_id=".md5($comment->comment_author_email);
	if($rating && $rating != '')
		$out .= "&amp;rating=".$rating;
	if($size && $size != '')
		$out .="&amp;size=".$size;
	if($default && $default != '')
		$out .= "&amp;default=".urlencode($default);
	if($border && $border != '')
		$out .= "&amp;border=".$border;
	echo $out;
}

if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Search'), 'widget_medic_search');
			
	function widget_medic_search() {
?>
<div id="search-4" class="block widget widget_search">
	<h2>جستجو</h2>
	<div style="padding:10px 5px; ">
		<form method="get" id="searchform" action="<?php echo $_SERVER['PHP_SELF']; ?>">
		<div>
		<input type="text" value="<?php echo wp_specialchars($s, 1); ?>" name="s" id="s" /> 
		<input type="submit" id="sidebarsubmit" value="جستجو"  />
		</div>
		</form>
	</div>
</div>
<?php
}
?>