<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<meta http-equiv="content-type" content="text/html; charset=<?php bloginfo('charset'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<title><?php bloginfo('name'); wp_title(); ?></title>

<?php wp_head(); ?>
</head>

<body>

	<div id="top">
	<div class="in">
		
		<div id="title">
		<h1><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
		<h3><?php bloginfo('description'); ?></h3>
		</div>
		
		<div id="search">
			<form method="get" id="searchform" action="<?php bloginfo('url'); ?>/">
				<div>
				<input type="text" class="txt" name="s" id="s" value="مشاهده ..؟" onfocus="if (this.value == 'مشاهده ..؟') {this.value = '';}" onblur="if (this.value == '') {this.value = 'مشاهده ..؟';}" />
				<input type="image" src="<?php bloginfo('template_directory'); ?>/img/search.gif" class="bt" name="submit"  />
				</div>
			</form>
		</div>
		
		<div id="menu">
			<ul>
				<?php if (is_page()) { $highlight = "page_item"; } else {$highlight = "page_item current_page_item"; } ?>
				<li class="<?php echo $highlight; ?>"><a href="<?php bloginfo('url'); ?>"><span>صفحه اول</span></a></li>
				<?php
				$pages = wp_list_pages('sort_column=id&depth=1&title_li=&echo=0');
				$pages = preg_replace('%<a ([^>]+)>%U','<a $1><span>', $pages);
				$pages = str_replace('</a>','</span></a>', $pages);
				echo $pages;
				?>
			</ul>
		</div>
	
	</div>
	</div>